X2Go Bug report logs - #180
x2gobroker-authservice needs missing conf

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Fri, 19 Apr 2013 10:03:01 UTC

Severity: normal

Tags: pending

Fixed in version 0.0.1.1

Done: tag@ymir, 0.0.1.1@ymir

Bug is archived. No further changes may be made.

Full log


Message #19 received at 180@bugs.x2go.org (full text, mbox):

Received: (at 180) by bugs.x2go.org; 23 Apr 2013 19:57:18 +0000
From x2go@ymir  Tue Apr 23 21:56:22 2013
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.2 required=5.0 tests=FH_FROMEML_NOTLD,NO_RELAYS,
	URIBL_BLOCKED autolearn=no version=3.3.2
Received: by ymir (Postfix, from userid 1005)
	id 10A3B5DB2E; Tue, 23 Apr 2013 21:56:22 +0200 (CEST)
From: tag@ymir, 0.0.1.1@ymir
To: 180-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 180@bugs.x2go.org
Subject: X2Go issue #180 (src:x2gobroker) has been marked as closed
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
Message-Id: <20130423195622.10A3B5DB2E@ymir>
Date: Tue, 23 Apr 2013 21:56:22 +0200 (CEST)
close #180
thanks

Hello,

we are very hopeful that X2Go issue #180 reported by you
has been resolved in the new release (0.0.1.1) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=4085176be6f5895c931e34e6549ea9849e13ca0b;hp=7a77058f345af93356c9615df70c92644fa98549

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.1.1
Status: RELEASE
Date: Tue, 23 Apr 2013 21:38:07 +0200
Fixes: 154 170 171 172 175 176 180
Changes: 
 x2gobroker (0.0.1.1) RELEASED; urgency=low
 .
   * New upstream version (0.0.1.1):
     - Add WSGI support to X2Go Session Broker. Allows plugging into
       Apache2 by using the mod_wsgi module.
     - Add Apache2 configuration for WSGI support that shows how to
       setup a VirtualHost for X2Go Session Broker.
     - For sessions profiles with autologin enable, add a dummy key
       session profile parameter that triggers key based auth in X2Go Client.
       (Fixes: #154).
     - Fix hard-coded path to x2gobroker's authservice socket.
     - Separate logging logic of x2gobroker-authservice from the rest of
       the logging in x2gobroker. (Fixes: #172).
     - x2gobroker-pubkeyauthorizer: no logging-to-file support anymore.
       (Fixes: #175).
     - Fix name of get() method for /pubkeys/ URL path. (Fixes: #176).
     - Move AuthService server code fully into x2gobroker-authservice
       daemon script.
     - Add forgotten file: x2gobroker-authservice-logger.conf. (Fixes: #180).
     - Add script: x2gobroker-testauth.
     - Add enable()/disable() methods to broker backends.
     - Move complete authservice logic into x2gobroker-authservice script.
     - Add command and directrdp session profile parameters to defaults.
     - Fix wrong usage of session option »cmd«, has to be »command«.
   * /debian/control:
     + Fix --root parameter in DEB_PYTHON_INSTALL_ARGS.
     + Let bin:package x2gobroker-authservice depend on python-x2gobroker (of the
       same version). (Fixes: #170).
   * Properly remove the X2Go Session broker log files on package purgal.
   * Let bin:package x2gobroker-authservice create x2gouser:x2gouser, as well.
     (Fixes: #171).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue May 21 20:43:33 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.